/*global sb_links:true*/
/*jshint unused:false, eqnull:true */
function replaceInElement(element, find, replace) {
    // iterate over child nodes in reverse, as replacement may increase
    // length of child node list.
    for (var i= element.childNodes.length; i-->0;) {
    	var child= element.childNodes[i];
        if (child.nodeType==1) { // ELEMENT_NODE
        	var tag= child.nodeName.toLowerCase();
            if (tag!='style' && tag!='script') // special case, don't touch CDATA elements
            	replaceInElement(child, find, replace);
        } else if (child.nodeType==3) { // TEXT_NODE
        	replaceInText(child, find, replace);
        }
      }
    }
    function replaceInText(text, find, replace) {
    	var match;
    	var matches= [];
    	while (match= find.exec(text.data))
    		matches.push(match);
    	for (var i= matches.length; i-->0;) {
    		match= matches[i];
    		text.splitText(match.index);
    		text.nextSibling.splitText(match[0].length);
    		text.parentNode.replaceChild(replace(match), text.nextSibling);
    	}
    }

    function escapeRegExp(str) {
    	return str.replace(/([.*+?^=!:${}()|\[\]\/\\])/g, "\\$1");
    }

    function replaceAll(str, find, replace) {
    	return str.replace(new RegExp(escapeRegExp(find), 'g'), replace);
    }







    var usualsuspects = ['#main','.entry-content'];
// todo - detecting usual suspect content holders

jQuery( document ).ready( function( $ ) {
		// $() will work as an alias for jQuery() inside of this function


		if (typeof sb_links !== 'undefined') {

			if ( (document.referrer)  || (sb_links.hasOwnProperty("nonce")) || (sb_links.hasOwnProperty("ajax_url")) ) {

				var myReferer = document.referrer;
				jQuery.ajax({
					url : sb_links.ajax_url,
					type : 'post',
					data : {
						action : 'sb_response',
						currurl : window.location.href,
						referer : myReferer,
						_ajax_nonce: sb_links.nonce
					},
					success : function( response ) {
		//				console.log('SEO Booster Response: '+response.data.time+' sec.');
						$.each(response.data.kws, function(idx, obj) {


							console.log(obj.kw);

//$("body").html($("body").html().replace(obj.kw, ' <a href="'+obj.lp+'">'+obj.kw+'</a> '));

							//	$(' <a href="'+obj.lp+'">'+obj.kw+'</a> ').prependTo($('#main'));
							/*
							function replaceAll(str, find, replace) {
							    return str.replace(new RegExp(escapeRegExp(find), 'g'), replace);
							}
							*/
							//replaceAll(document.body, obj.kw, ' <a href="'+obj.lp+'">'+obj.kw+'</a> ');



							/*
							var find= /\b(inevitably|dressed)\b/gi;
							var find= "(inevitably|dressed)#/gi";
							var find = "\b(inevitably)\b";
							//var find= "#(getting|dressed)#/gi";

							// replace matched strings with wiki links
							replaceInElement(document.body, find, function(match) {
							    var link= document.createElement('a');
							    link.href= 'http://en.wikipedia.org/wiki/'+match[0];
							    link.appendChild(document.createTextNode(match[0]));
							    return link;
							});
							*/




/*
(function () {
    // all the node types we're interested in
    var nodes = 'strong,em,p,h1,h2,h3,h4,h5,h6,li,div,blockquote,cite,dt,label,legend,q,sub,sup,td,td,body'.split(',');

    // configure the red link
    var redlink = document.createElement('a');
    redlink.style.cursor = 'pointer';
    redlink.style.color = '#c00';
    redlink.style.fontWeight = 'bold';
    redlink.style.textDecoration = 'none';
    redlink.style.fontStyle = 'normal';
    redlink.href = 'http://www.joinred.com?entry=redReplace&referrer='+window.location.hostname;
    redlink.appendChild(t('(red)'));

    function t(s) {
        return document.createTextNode(s);
    }

    var red = /(\(raise\)|raise)/ig,
        i = nodes.length,
        j = 0, k = 0, l = 0,
        source = '',
        parts = [],
        el = null, frag = null;

    while (i--) {
        el = document.getElementsByTagName(nodes[i]);
        j = el.length;
        while (j--) {
            k = el[j].childNodes.length;
            while (k--) {
                if (el[j].childNodes[k].nodeName == '#text' && red.test(el[j].childNodes[k].nodeValue)) {
                    source = el[j].childNodes[k].nodeValue;

                    // we need markers to handle IE not including the split token
                    if (/^(\(red\)|red)/i.test(source)) {
                        source = '__MARKER__' + source;
                    }

                    if (/(\(red\)|red)$/i.test(source)) {
                        source = source + '__MARKER__';
                    }

                    parts = source.split(/(\(red\)|red)/i);
                    frag = document.createDocumentFragment();
                    l = 0;

                    for (l = 0; l < parts.length; l++) {
                        if (red.test(parts[l])) {
                            continue; // For Safari + FF because IE sucks :-(
                        }
                        if (parts[l] != '__MARKER__') {
                            frag.appendChild(t(parts[l]));

                            if (l != parts.length - 1) {
                                frag.appendChild(redlink.cloneNode(true));
                            }
                        } else if (l == 0 && parts[l] == '__MARKER__'){
                            frag.appendChild(redlink.cloneNode(true));
                        }
                    }

                    el[j].replaceChild(frag, el[j].childNodes[k]);
                }
            }
        }

    }
})();


*/











						});




/*
jQuery.each( response.data.kws, function( key, value ) {
	console.log(key);
		console.log(value);

//  console.log( key + ": " + value );
});

*/
},
error : function( response ) {
	console.log('SB error: '+response);
}

});
			}

		}




//document.body.innerText = document.body.innerText.replace('lovers', '<a href="#">LOVERS</a>');

/*
// keywords to match. This *must* be a 'g'lobal regexp or it'll fail bad


*/




});

/*
jQuery(document).ready(function($) {
	var desiredLink = '#';
	var desiredText = 'davs';
	$('<a href="'+desiredLink+'">'+desiredText+'</a>').prependTo($('#main'));

});
*/


/*
## https://stackoverflow.com/questions/5558613/replace-words-in-the-body-text
function replaceInText(element, pattern, replacement) {
    for (let node of element.childNodes) {
        switch (node.nodeType) {
            case Node.ELEMENT_NODE:
                replaceInText(node, pattern, replacement);
                break;
            case Node.TEXT_NODE:
                node.textContent = node.textContent.replace(pattern, replacement);
                break;
            case Node.DOCUMENT_NODE:
                replaceInText(node, pattern, replacement);
        }
  }
}

 */